# include/xapian/expanddecider.h File Reference

Allow rejection of terms during ESet generation. More...

`#include <set>`
`#include <string>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::ExpandDecider
| Virtual base class for expand decider functor. More...
class | Xapian::ExpandDeciderAnd
| ExpandDecider subclass which rejects terms using two ExpandDeciders. More...
class | Xapian::ExpandDeciderFilterTerms
| ExpandDecider subclass which rejects terms in a specified list. More...

## Detailed Description

Allow rejection of terms during ESet generation.